SDL_HasClipboardData(3)

NAME
SDL_HasClipboardData - Query whether there is data in the clipboard for the provided mime type.

HEADER FILE
Defined in SDL3/SDL_clipboard.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_HasClipboardData(const char *mime_type);

FUNCTION PARAMETERS

mime_type
    the mime type to check for data for.

RETURN VALUE
Returns true if there exists data in clipboard for the provided mime type, false if it does not.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_SetClipboardData(3), •(3), SDL_GetClipboardData(3)